classification
Title: Have regrtest.py echo back sys.flags
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brian.curtin, collinwinter, dstanek, pitrou, sandro.tosi
Priority: normal Keywords: easy, needs review, patch

Created on 2009-06-16 17:35 by collinwinter, last changed 2011-01-03 20:52 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
regrtest_flags.patch collinwinter, 2009-06-16 17:35 Patch against trunk, r73446
issue6293-py3k.patch sandro.tosi, 2010-09-25 18:02
Messages (4)
msg89436 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2009-06-16 17:35
This patch makes regrtest.py echo back the contents of sys.flags at the 
beginning of a test run. Unladen Swallow has found this useful for 
verifying that the regrtest.py settings in the Makefile and in our 
Buildbot configs are interacting as expected.

Example output:
$ PYTHONOPTIMIZE=2 ./python.exe -OO Lib/test/regrtest.py
Testing with flags: sys.flags(debug=0, py3k_warning=0, 
division_warning=0, division_new=0, inspect=0, interactive=0, 
optimize=2, dont_write_bytecode=0, no_user_site=0, no_site=0, 
ignore_environment=0, tabcheck=0, verbose=0, unicode=0, bytes_warning=0)
test_grammar
test_opcodes
test_dict
test_builtin
test_exceptions
test_types
[snip]
$
msg98045 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-01-19 03:30
Seems like a good idea to me, but maybe not as the default?
msg117384 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2010-09-25 18:02
Hello,
I've changed the initial patch to add a CLI option ('-g/--sysflags', '-f' is already used) to enable the echoing of sys.flags.

If you need some other changes, just ping me.

Regards,
Sandro
msg125238 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-01-03 20:52
A variant of the patch was committed in r87704 (3.2), r87706 (3.1) and r87707 (2.7). Thank you.
History
Date User Action Args
2011-01-03 20:52:20pitrousetstatus: open -> closed

versions: + Python 3.1, Python 3.2
nosy: + pitrou

messages: + msg125238
resolution: fixed
stage: patch review -> resolved
2010-09-25 18:02:41sandro.tosisetfiles: + issue6293-py3k.patch
nosy: + sandro.tosi
messages: + msg117384

2010-07-31 18:25:19dstaneksetnosy: + dstanek
2010-01-19 03:30:21brian.curtinsetpriority: normal

nosy: + brian.curtin
messages: + msg98045

keywords: + needs review
2009-06-16 17:35:30collinwintercreate